Package dev.plex.permission

# Class Permission

java.lang.Object
dev.plex.permission.Permission

@Entity public class Permission extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`allowed`
`private final String`
`permission`
`private final UUID`
`uuid`

## Constructor Summary

Constructors
Constructor
Description
`Permission()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### uuid

private final UUID uuid

### permission

private final String permission

### allowed

private boolean allowed

## Constructor Details

### Permission

public Permission()